Aree di lavoro
Elenca aree di lavoro
Elenca le aree di lavoro visibili al principal dell’API pubblica.
GET
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
Elenca aree di lavoro
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizzazioni
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parametri del percorso
Risposta
Aree di lavoro in questa pagina
Hide child attributes
Hide child attributes
Account UUID proprietario dell'area di lavoro
UUID dell'area di lavoro
Nome visualizzato dell'area di lavoro
Timestamp di creazione dell'area di lavoro
Stato del ciclo di vita dell'area di lavoro
Timestamp dell'ultimo aggiornamento dell'area di lavoro
Numero di pagina corrente in base uno
Numero massimo di articoli per pagina
Aree di lavoro corrispondenti totali
Questa pagina è stata utile?
⌘I
Elenca aree di lavoro
